#### Description:

This function converts a supplied string to upper or lower case, storing the result in a supplied buffer. The astStringCase function is similar, but stores the result in a dynamically allocated buffer.

#### Synopsis

void astChrCase( const char ∗in, char ∗out, int upper, int blen, int ∗status )

#### Parameters:

##### in

Pointer to the null terminated string to be converted. If this is NULL, the supplied contents of the `"` out`"` string are used as the input string.

##### out

Pointer to the buffer to receive the converted string. The length of this buffer is given by `"` blen`"` . If NULL is supplied for `"` in`"` , then the supplied contents of `"` out`"` are converted and written back into `"` out`"` over-writing the supplied contents.

##### upper

If non-zero, the string is converted to upper case. Otherwise it is converted to lower case.

##### blen

The length of the output buffer. Ignored if `"` in`"` is NULL. No more than `"` blen - 1`"` characters will be copied from `"` in`"` to `"` out`"` , and a terminating null character will then be added.
Copyright (C) 2021 East Asian Observatory